/********* Overlay */
/* Overlay */
#overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.7s ease;
  z-index: 1001;
  backdrop-filter: blur(5px);
}

/* Sichtbar */
#overlay.show_overlay {
  opacity: 1;
  pointer-events: all;
}

/* Popup */
#popup {
  display: flex;
  flex-direction: column;
  box-shadow: inset 0.3em 0.3em 0.9em black;
  background: #b5b5b5;
  padding-top: 45px;
  border-radius: 10px;
  min-width: 300px;
  max-width: 500px;
  width: 30%;
  height: 500px;
  overflow: auto;
  color: black;
  scroll-behavior: smooth;
  transition: 1s ease;
}

#popup.flash {
  background-color: red;
}

#popup .nav-main {
  display: flex;
  flex-direction: column;
}

#popup .nav-title {
  color: #00f;
}

#popup .nav-main a {
  color: #00f;
}

#popup input {
  transition: background-color 0.5s ease;
}

/* Flash-Zustand für alle Inputs */
#popup.flash_bg input {
  background-color: rgb(255, 120, 120);
}

/********* Popup-Inhalte */

#impressum p,
#datenschutz p,
#statistic_1 p {
  hyphens: auto;
  text-align: justify;
  scroll-margin-top: 30px;
}

#history h1,
#impressum h1,
#datenschutz h1,
#statistic_1 h1 {
  color: blue;
  text-align: center;
  margin-top: 40px;
  font-size: 2.5rem;
}

#impressum h2,
#datenschutz h2 {
  font-size: 1.3em;
  margin: 20px 0 20px 0;
  scroll-margin-top: 50px;
}

#impressum h3,
#datenschutz h3 {
  font-size: 1.1em;
  margin: 30px 0 10px 0;
}

.history_info {
  display: flex;
  flex-direction: column;
  hyphens: auto;
  padding: 20px;
  border-radius: 10px;
}

.history_info div:first-of-type {
  background-color: #161616;
  color: #fff;
  padding: 10px;
  border-radius: 10px 10px 0 0;
}

.history_info div:last-of-type {
  background-color: #505050;
  color: #fff;
  padding: 10px;
  border-radius: 0 0 10px 10px;
  hyphens: auto;
}

#statistic_2 {
  display: grid;
  grid-template-columns: auto auto;
  gap: 10px 20px;
  font-family: "Times New Roman", "Liberation Serif", serif;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  letter-spacing: normal;
  text-transform: none;
  text-align: justify;
  hyphens: auto;
}

#login_form {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 50px;
}

.open-btn,
.close-btn {
  padding: 10px 18px;
  border: none;
  background: #007bff;
  color: white;
  border-radius: 6px;
  cursor: pointer;
}

.close-btn {
  margin-top: 10px;
  background: rgb(255, 120, 120);
}

.close-btn:hover,
.open-btn:hover {
  opacity: 0.9;
}

#login_info {
  display: grid;
  justify-content: center;
  grid-template-columns: 120px auto;
  grid-template-rows: repeat(6, 30px);
  margin: 70px 20px 20px;

}

#login_button {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

#meldung {
  height: 20px;
  margin-bottom: 20px;
  color: red;
  font-weight: bold;
  text-align: center;
}

#login_avatar {
  position: absolute;
  width: 200px;
  height: auto;
  margin-top: -180px;
  left: 50%;
  transform: translateX(-50%);
  filter: drop-shadow(10px 10px 8px rgb(0, 0, 0));
}

#statistik,
#search,
#datenschutz,
#impressum {
  margin: 0 30px 10px;
}

#impressum_avatar {
  position: absolute;
  width: 150px;
  height: auto;
  margin-top: -130px;
  left: 50%;
  transform: translateX(-50%);
  filter: drop-shadow(10px 10px 8px rgb(0, 0, 0));
}

#search_avatar {
  position: absolute;
  width: 200px;
  height: auto;
  margin-top: -130px;
  left: 50%;
  transform: translateX(-50%);
  filter: drop-shadow(10px 10px 8px rgb(0, 0, 0));
}

/********* Header */

#header_wrap {
  position: fixed;
  top: 0;
  left: 0;
  height: 140px;
  box-shadow: 0px 20px 10px 0px rgba(0, 0, 0, 0.7);
  z-index: 1;
}

header {
  display: flex;
  align-items: center;
  /* vertikal zentriert */
  justify-content: space-between;
  /* Platz zwischen linken und rechten Bereichen */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 140px;
  color: white;
  padding: 0 20px;
  font-size: 0.8rem;
}

header .right-section {
  display: flex;
  align-items: baseline;
  height: 100%;
  gap: 20px;
  padding-top: 20px;
}

#box_logo {
  display: flex;
  font-size: 2rem;
  line-height: 0.7;
  width: max-content;
}

#box_logo_inside {
  margin-left: 5px;
  color: white;
}

#img_logo {
  display: inline-block;
  height: 70px;
}

#box_status {
  position: fixed;
  top: 0;
  left: 235px;
  padding-top: 30px;
  margin-right: 180px;
  font-size: 1.5rem;
}

#box_status1 {
  display: none;
  font-size: 0.8rem;
  color: #fff;
  margin-left: 5px;
}

.wrapper_movie_title span,
#box_status1 span {
  font-size: 0.8rem;
  color: #8e8e8e;
  margin-left: 5px;
}

.hamburger {
  display: none
}

.box_search {
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 5;
}

.hamburger {
  display: none;
}

.box_search img {
  width: 50px;
  height: auto;
  cursor: pointer;
}

#box_avatar {
  display: flex;
  flex-direction: column;
  width: 70px;
  align-items: center;
  cursor: pointer;
  z-index: 1010;
}

#img_avatar {
  height: 60px;
  width: auto;
  border-radius: 50%;
  filter: drop-shadow(10px 10px 8px rgb(0, 0, 0));
  transition: filter 1s;
}

#img_avatar:hover {
  filter: grayscale(0%) drop-shadow(10px 10px 8px rgb(0, 0, 0));
}

#center {
  margin-top: 100px;
}

#main {
  display: flex;
  position: fixed;
  top: 140px;
  bottom: 30px;
  padding-right: 50px;
  left: 0;
  right: 0;
  overflow: auto;
  background: black;
  scroll-behavior: smooth;
  scrollbar-color: #323232 #151515;
}

main::-webkit-scrollbar-track {
  background: rgb(100, 100, 100) rgb(150, 150, 150);
  /* Hintergrund der Scrollbar-Leiste */
}

nav {
  position: sticky;
  top: 0;
  width: 210px;
  flex-shrink: 0;
  white-space: nowrap;
  padding-top: 20px;
}

.side-nav {
  width: 100%;
}

.nav-main,
.nav-sub {
  list-style: none;
  margin: 0;
  padding: 0;
}

.nav-group {
  margin-bottom: 10px;
}

.nav-title {
  width: 170px;
  background: none;
  border: none;
  color: #00c8ff;
  text-align: left;
  font-weight: bold;
  padding: 6px 0;
  cursor: pointer;
  margin-right: 5px;
}

.nav-title:hover {
  color: var(--logo-color);
}

.nav-sub {
  padding-left: 16px;
  /* Einzug */
  display: none;
}

.nav-sub li a {
  display: block;
  padding: 4px 0;
  color: #bbb;
  text-decoration: none;
}

.nav-sub li a:hover {
  color: #fff;
}

/* geöffnet */
.nav-group.open .nav-sub {
  display: block;
}

.nav-alpha.open .nav-sub {
  display: grid !important;
  grid-template-columns: repeat(auto-fill, minmax(40px, 1fr));
  gap: 0;
}

@media (hover: hover) {
  .nav-group:hover .nav-sub {
    display: block;
  }

  .nav-alpha:hover .nav-sub {
    display: grid !important;
    grid-template-columns: repeat(auto-fill, minmax(40px, 1fr));
    gap: 0;
  }
}

#content_list {
  flex: 1;
  min-width: 0;
  margin: 30px 15px;
}

#content_show {
  flex: 1;
  min-width: 0;
}

footer {
  display: flex;
  justify-content: space-between;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 40px;
  background: black;
  color: white;
  z-index: 1000;
  padding: 5px 20px;
  font-size: 0.8rem;
}

#impressum p:last-child {
  margin-top: 20px;
  font-size: small;
}

/********* Listendarstellung */

#wrapper_list {
  display: grid;
  justify-content: start;
  grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
  gap: 30px;
  width: 100%;
  padding-top: 10px;
}

.wrapper_movie {
  display: flex;
  flex-direction: column;
  width: 90%;
  height: 300px;
  margin-left: auto;
  margin-right: auto;
}

.wrapper_movie:hover {
  background-color: #1f1f1f;
  /* box-shadow: inset 0px 0px 1px 1px rgba(255, 255, 255, 0.63); */
  transition: none;
}

.wrapper_movie hr {
  width: 100%;
  height: 1px;
  border: solid #555555 1px;
}

.wrapper_movie_title {
  font-size: 1.3rem;
  font-weight: bold;
  height: 50px;
  text-align: left;
}

.wrapper_movie_title hr {
  position: relative;
  top: 10px;
}

.wrapper_movie_title span,
#movie-info span,
#box_status span {
  font-size: 1.2rem;
  font-weight: normal;
  color: #8e8e8e;
}

.wrapper_movie_pic {
  margin-top: 15px;
  display: flex;
}

.wrapper_movie_pic img {
  width: 120px;
  height: auto;
  object-fit: cover;
}

.wrapper_movie_data {
  font-size: 0.9rem;
  display: grid;
  grid-template-rows: repeat(5, 20px);
  grid-template-columns: 100px auto;
  margin-left: 20px;
}

#searchForm {
  position: sticky;
  top: 0;
  width: 100%;
  padding: 8px;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

#searchForm input {
  width: 100%;
  padding: 8px;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

#search_results {
  margin-top: 20px;
  height: 500px;

}

#search_results p {
  padding: 5px;
  background-color: #505050;
  border-radius: 10px;
  font-size: 0.9rem;
}

#search_results p:hover,
#search_results p:active,
#search_results p:focus {
  background-color: #303030;
}

#search_results a,
#search_results a:visited,
#search_results a:hover {
  color: var(--logo-color);
}

#search_results a.active {
  text-shadow: 0 0 10px #FFF;
}

/********* Filmdarstellung */

#movie_nav {
  position: fixed;
  top: 110px;
  left: 235px;
  z-index: 10;
  background-color: #000;
}

#movie_nav span {
  margin-bottom: 5px;
  font-size: 0.9rem;
  color: #8e8e8e;
}

#movie_nav ul {
  margin: 0;
  padding: 0;
  display: flex;
  list-style: none;
}

#movie_nav li {
  margin-right: 20px;
}

#movie_head {
  /* width: 850px; */
  padding-top: 20px;
  font-size: 1.2rem;
  scroll-margin-top: 10px;
}

#movie_head_pics {
  display: flex;
  justify-content: center;
  margin-bottom: 30px;
}

#coverpic {
  height: 300px;
  width: auto;
  margin-left: 20px;
  border: 2px solid #555;
}

#titlescreen {
  height: 300px;
  width: auto;
  margin-left: 20px;
  border: 2px solid #555;
}

#movie_data {
  display: flex;
  justify-content: space-between;
  margin: 10px 40px 20px;
}

.movie_info1,
.movie_info2 {
  display: grid;
  grid-template-columns: 200px auto;
  row-gap: 10px;
  column-gap: 60px;
  margin: 40px 40px;
}

#movie_text {
  font-family: "Times New Roman", "Liberation Serif", serif;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  letter-spacing: normal;
  text-transform: none;
  text-align: justify;
  hyphens: auto;
  margin: 40px 20px;
}

#movie_coords,
#movie_goofs,
#movie_facts,
#movie_comments {
  /* width: 850px; */
  margin: 50px 0;
}

#movie_coords>hr:last-of-type,
#movie_goofs>hr:last-of-type {
  display: none;
}

.wrap_coords,
.wrap_goofs {
  display: flex;
  flex-direction: column;
  background-color: #151515;
  margin: 30px 0;
}

.screeninfo {
  display: flex;
  align-items: flex-start;
  width: 100%;
  justify-content: space-evenly;
}

.screeninfo img {
  width: 30px;
  margin: 10px;
}

.screeninfo1 {
  display: grid;
  grid-template-rows: auto auto auto auto auto auto;
  grid-template-columns: 90px auto;
  width: 90%;
  gap: 0.3em;
  margin: 10px 0 15px 15px;
}

.screeninfo2 {
  display: grid;
  grid-template-rows: auto auto auto auto auto auto;
  grid-template-columns: 120px auto;
  align-items: center;
  width: 95%;
  gap: 0.3em;
  margin: 10px 0 15px 15px;
}

.grid_11 {
  display: flex;
}

.screenpics,
.goofpics {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
  margin-bottom: 20px;
}

.screenpics img,
.goofpics img {
  flex: 1;
  min-width: 0;
  width: 100%;
  object-fit: cover;
  display: block;
  border: 2px solid #555;
  backface-visibility: hidden;
}

.screenshot,
.realpic {
  min-width: 0;
  overflow: hidden;
  margin: 0 20px;
}

.goofinfo {
  display: grid;
  grid-template-rows: auto auto;
  grid-template-columns: 90px auto;
  width: 90%;
  gap: 0.3em;
  margin: 10px 15px;
}

.wrap_facts {
  display: flex;
  justify-content: center;
  font-family: "Times New Roman", "Liberation Serif", serif;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  letter-spacing: normal;
  text-transform: none;
  text-align: justify;
  hyphens: auto;
}

.wrap_facts ul {
  width: 80%;
}

.wrap_facts li {
  background-color: #151515;
  padding: 0 20px;
  margin: 30px 0;
}

.wrap_comments {
  display: flex;
  background-color: #151515;
  padding: 30px;
  margin: 30px 0;
  font-family: "Times New Roman", "Liberation Serif", serif;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  letter-spacing: normal;
  text-transform: none;
  text-align: justify;
  hyphens: auto;
  margin-top: 30px;
}

.avatar_com {
  width: 100px;
  height: auto;
  margin-bottom: 30px;
  filter: drop-shadow(10px 10px 8px rgb(0, 0, 0));
}

.commenttext {
  margin-left: 50px;
  flex: 1;
}

footer span {
  color: var(--logo-color);
}

#main_search {
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
  width: 80%;
  margin: 0 auto;
  font-size: 1.2rem;
}

#main_search details {
  display: block;
  margin: 20px 40px;
  width: 350px;
  scrollbar-width: thin;
  /* auto | thin | none */
  scrollbar-color: #888 #f0f0f0;
  /* Thumb | Track */
}

#main_search details:last-of-type {
  margin-bottom: 100px;
}

#main_search summary {
  position: sticky;
  top: 0;
  background: #000;
}

.detail_content {
  max-height: 230px;
  overflow-y: auto;
  padding-left: 20px;
  padding-right: 20px;
  height: 300px;
}

.detail_content::-webkit-scrollbar {
  width: 1em;
  background-color: #ddd;
}

.detail_content::-webkit-scrollbar-track {
  background: #f0f0f0;
}

.detail_content::-webkit-scrollbar-thumb {
  background-color: hsl(0, 0%, 70%);
}

.detail_content::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}

#error {
  display: grid;
  place-items: center;
  align-content: center;
  height: 100vh;
  color: #fff;
  background-color: #000;
}

#errorpic {
  margin-bottom: 70px;
}

#error img {
  width: 300px;
  height: auto;
}

#errorinfo {
  margin-bottom: 70px;
}

.separator {
  border-top: 1px solid #7c7c7c;
  margin: 10px 0;
}

#errorinfo p:first-of-type {
  margin-bottom: 20px;
  font-size: 2rem;
}

#user_setting {
  width: 100%;
  margin: 30px;
}

#user_setting button {
  font-size: 15px;
}

#user_setting details {
  width: 100%;
  margin-bottom: 30px;
}

#user_setting summary {
  font-size: 30px;
}

.avatar_select {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
  position: relative;
  /* für absolute Position des Inputs */
  width: 100px;
  /* fixe Breite für Grid */
}

.avatar_select input[type="radio"] {
  position: absolute;
  /* entfernt aus Flow */
  opacity: 0;
  /* unsichtbar */
  pointer-events: none;
  /* optional */
  width: 0;
  height: 0;
}

.avatar_select input:checked+img {
  box-shadow: 0 0 15px 5px rgba(1, 205, 72, 0.5);
  transform: scale(1.05);
  transition: all 0.5s ease;
  background-color: #34740f;
}

.avatar_select img {
  width: 95px;
  height: auto;
  border-radius: 50%;
  filter: drop-shadow(5px 5px 5px rgb(0, 0, 0));
  transition: all 0.5s ease;
}

.avatar_select img:hover {
  box-shadow: 0 0 15px 5px rgba(1, 205, 72, 0.5);
  transform: scale(1.05);
  transition: all 0.3s ease;
  background-color: #1e4309;
}

.avatar_select span {
  position: relative;
  top: -70px;
  z-index: 5;
  font-size: 30px;
  font-weight: bold;
  color: var(--logo-color);
  text-shadow:
    -1px -1px 0 black,
    1px -1px 0 black,
    -1px 1px 0 black,
    1px 1px 0 black;
}

#user_update {
  display: flex;
  justify-content: center;
  position: relative;
  top: 50px;
}

#user_change_avatar {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
  gap: 30px;
  padding-top: 30px;
  padding-right: 50px;
  /* Optional: Abstand zwischen den Bildern */
}

#wrap_changes {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#pic_change {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin-top: 70px;
}

#pic_change img {
  width: 55px;
  height: auto;
  border-radius: 50%;
  box-shadow: 0 0 15px 5px rgba(183, 0, 0, 0.5);
}

#pic_change img:last-of-type {
  box-shadow: 0 0 15px 5px rgba(0, 152, 33, 0.5);
}

#benchmark_log {
  font-size: 0.7rem;
  margin: 20px;
}